%!octave 
%      
%       OS : GNU/Linux 3.9.3-1-ARCH 
% COMPILER : GNU Octave, version 3.6.4
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 

% детерминанты набора матриц ковариаций S
function retval = detS(S)
   dS = [];
   n=size(S,1);   % размер одной матрицы
   k=size(S,2)/n; % количество матриц
   for j = 1:k,
	  s1 = j*n-(n-1); s2=s1+(n-1) ;
	  dS = [ dS det(S(:,s1:s2 )) ] ;
   endfor
   retval = dS;
endfunction;


% $Id: detS.m,v 1.1 2013/12/25 14:09:40 mechanoid Exp $
