%!octave 
%      
%       OS : GNU/Linux 3.9.3-1-ARCH 
% COMPILER : GNU Octave, version 3.6.4
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 

% смесь плотностей 
function retval = p_mix(x,iS,dS,mu,w)
   p=0;
   n=size(x,2);
   k=size(iS,2)/n;
   for j = 1:k,  
	  s1=j*n-(n-1); s2=s1+(n-1);
	  p += w(j) * p_gauss( x, iS(:, s1:s2 ),dS(j), mu(j,:) ); 
   endfor
   retval = p;
endfunction;	


% $Id: p_mix.m,v 1.1 2013/12/25 14:09:40 mechanoid Exp $
